%define name    qpxtool
%define version 0.7.1.002
%define upstream_version 0.7.1_002
%define release %mkrel 5
%define major   0.6.2
%define libname %mklibname %{name}%{major}
%define develname %mklibname %{name} -d 

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    CD/DVD Drive Quality Checking
Group:      System/Kernel and hardware
License:    GPL
URL:        http://qpxtool.sourceforge.net/
Source0:    http://sourceforge.net/projects/qpxtool/files/qpxtool/0.7.x/0.7.0/qpxtool-%{upstream_version}.tar.bz2
Patch0:		qpxtool-0.7.0-libpng15.patch
BuildRequires:  qt4-devel
BuildRequires:	libpng-devel

%description
QPxTool is the linux way to get full control over your CD/DVD drives.

It is the Open Source Solution which intends to give you access to all
available Quality Checks (Q-Checks) on written and blank media, that are
available for your drive. This will help you to find the right media and the
optimized writing speed for your hardware, which will increase the chance for
a long data lifetime.

Includes tool to update your firmware (firmware not included),

%package -n %{libname} 
Group: Development/KDE and Qt
Summary: Shared libraries for qpxtool

%description -n %{libname}
Shared libraries for qpxtool.

%package -n %{develname} 
Group: Development/KDE and Qt
Summary: Development files for qpxtool
Requires: %{libname} = %version-%release

%description -n %{develname}
Development files for qpxtool.

%prep
%setup -q -n %{name}-%{upstream_version}
%patch0 -p0

%build
./configure --prefix=/usr 
%make

%install
%makeinstall_std

install -m 755 gui/qpxtool %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_datadir}/applications
install -m 644 gui/qpxtool.desktop %{buildroot}%{_datadir}/applications

install -d -m 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 gui/images/q.png %{buildroot}%{_datadir}/pixmaps/qpxtool.png

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/qscan
%{_bindir}/qscand
%{_bindir}/f1tattoo
%{_bindir}/cdvdcontrol
%{_bindir}/readdvd
%{_bindir}/qpxtool
%{_sbindir}/pxfw
%{_mandir}/man8/pxfw.8*
%{_mandir}/man1/cdvdcontrol.1*
%{_mandir}/man1/f1tattoo.1*
%{_mandir}/man1/qscan.1*
%{_mandir}/man1/readdvd.1*
%{_mandir}/man1/qpxtool.1*
%{_mandir}/man1/qscand.1*
%{_datadir}/applications/qpxtool.desktop
%{_datadir}/pixmaps/qpxtool.png
%{_datadir}/qpxtool
%{_libdir}/qpxtool

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.7.1.002-5.mga4
+ Revision: 526216
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.7.1.002-4.mga4
+ Revision: 436079
- rebuild for new libpng

* Wed Jan 23 2013 fwang <fwang> 0.7.1.002-3.mga3
+ Revision: 391308
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 0.7.1.002-2.mga3
+ Revision: 379872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 fwang <fwang> 0.7.1.002-1.mga2
+ Revision: 143751
- add gentoo patch to build with libpng15

* Sun Apr 10 2011 ennael <ennael> 0.7.1.002-1.mga1
+ Revision: 82821
- clean spec file
- imported package qpxtool


* Sun Sep 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1.002-1mdv2011.0
+ Revision: 576196
- new version

* Mon Jul 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-2mdv2011.0
+ Revision: 560888
- don't forget to ship main binary, even if 'make install' don't installs it... (#60321)

* Thu Dec 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-1mdv2010.1
+ Revision: 484571
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.1-0.rc2.1mdv2008.0
+ Revision: 65215
- import qpxtool


* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.1-0.rc2.1mdv2008.0
- first mdv package, based on Dick Gevers <dvgevers@xs4all.nl> spec
